%% Create a 2-D line plot of the data in Y versus the corresponding values in X.

unit = 0.1;
x_min = 0;
x_max = 0.4;
y_min = 0;
y_max = 1;

figure(1);
set(gcf, 'Units', 'Inches', 'Position', [3 3 5 3.5]);

color_mat = [   [1   0   0  ];
                [1   0.5 0  ];
                [1   1   0  ];
                [0   1   0  ];
                [0   0.5 1  ];
                [0   0   1  ];
                [0.5 0   1  ];
                [1   0   1  ];
            ];

global R_prime;

R_prime_min = 1000;
R_prime_max = 1200;
R_prime_unit = 50;


for R_prime = R_prime_min : R_prime_unit : R_prime_max

    for ii = 0.5
    
        for jj = 0.5
    
            [T, Y] = ode23tb('Differential_Calculus_Extended', [0, 0.4], [ii, jj]);
            
            color = color_mat(round((R_prime - R_prime_min) / R_prime_unit + 1), :);
    
            plot(T, Y(:,1), 'Color', color, 'LineWidth', 2);
            
            hold on; 
    
        end
    
    end

end

% [A, B] = Equilibrium_Calc();
% 
% scatter(A, B, 5, 'filled', 'red');
% 
% hold on; 

legend( '{\it{R}}{\it{''}} = 1000', ...
        '{\it{R}}{\it{''}} = 1050', ...
        '{\it{R}}{\it{''}} = 1100', ...
        '{\it{R}}{\it{''}} = 1150', ...
        '{\it{R}}{\it{''}} = 1200', ...
        'NumColumns', 1, ...
        'FontSize', 12, ...
        'Location', 'East');

set(gca, 'FontSize', 14, 'FontName', 'Cambria');
set(gca, 'FontSize', 14, 'FontName', 'Times New Roman');

xlabel('t','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');
ylabel('x','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');

xlim([x_min, x_max]);
ylim([y_min, y_max]);

xticks(0: x_max / 5 :x_max);
yticks(0: y_max / 5 :y_max);

grid on;

figure(2);
set(gcf, 'Units', 'Inches', 'Position', [3 3 5 3.5]);

color_mat = [   [1   0   0  ];
                [1   0.5 0  ];
                [1   1   0  ];
                [0   1   0  ];
                [0   0.5 1  ];
                [0   0   1  ];
                [0.5 0   1  ];
                [1   0   1  ];
            ];

for R_prime = R_prime_min : R_prime_unit : R_prime_max

    for ii = 0.5
    
        for jj = 0.5
    
            [T, Y] = ode23tb('Differential_Calculus_Extended', [0, 0.4], [ii, jj]);
            
            color = color_mat(round((R_prime - R_prime_min) / R_prime_unit + 1), :);
    
            plot(T, Y(:,2), 'Color', color, 'LineWidth', 2);
            
            hold on; 
    
        end
    
    end

end

% [A, B] = Equilibrium_Calc();
% 
% scatter(A, B, 5, 'filled', 'red');
% 
% hold on; 

legend( '{\it{R}}{\it{''}} = 1000', ...
        '{\it{R}}{\it{''}} = 1050', ...
        '{\it{R}}{\it{''}} = 1100', ...
        '{\it{R}}{\it{''}} = 1150', ...
        '{\it{R}}{\it{''}} = 1200', ...
        'NumColumns', 1, ...
        'FontSize', 12, ...
        'Location', 'East');

set(gca, 'FontSize', 14, 'FontName', 'Cambria');
set(gca, 'FontSize', 14, 'FontName', 'Times New Roman');

xlabel('t','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');
ylabel('y','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');

xlim([x_min, x_max]);
ylim([y_min, y_max]);

xticks(0: x_max / 5 :x_max);
yticks(0: y_max / 5 :y_max);

grid on;