%% Create a 2-D line plot of the data in Y versus the corresponding values in X (Basic).

unit = 0.05;
x_min = 0;
x_max = 1;
y_min = 0;
y_max = 1;

figure(1);
set(gcf, 'Units', 'Inches', 'Position', [3 3 5.2 5]);

for ii = unit: unit: 1 - unit

    for jj = unit: unit: 1 - unit

        [T, Y] = ode23tb('Differential_Calculus_Basic', [0, 3], [ii, jj]);
        
        plot(Y(:,1), Y(:,2), 'Color', 'blue');
        
        hold on; 

    end

end

% [A, B] = Equilibrium_Calc();
% 
% scatter(A, B, 5, 'filled', 'red');
% 
% hold on; 

set(gca, 'FontSize', 14, 'FontName', 'Cambria');
set(gca, 'FontSize', 14, 'FontName', 'Times New Roman');

xlabel('x','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');
ylabel('y','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');

xlim([x_min, x_max]);
ylim([y_min, y_max]);

xticks(0: x_max / 5 :x_max);
yticks(0: y_max / 5 :y_max);

grid on;

%% Create a 2-D line plot of the data in Y versus the corresponding values in X (Extended).

unit = 0.05;
x_min = 0;
x_max = 1;
y_min = 0;
y_max = 1;

figure(2);
set(gcf, 'Units', 'Inches', 'Position', [3 3 5.2 5]);

for ii = unit: unit: 1 - unit

    for jj = unit: unit: 1 - unit

        [T, Y] = ode23tb('Differential_Calculus_Extended', [0, 3], [ii, jj]);
        
        plot(Y(:,1), Y(:,2), 'Color', 'blue');
        
        hold on; 

    end

end

% [A, B] = Equilibrium_Calc();
% 
% scatter(A, B, 5, 'filled', 'red');
% 
% hold on; 

set(gca, 'FontSize', 14, 'FontName', 'Cambria');
set(gca, 'FontSize', 14, 'FontName', 'Times New Roman');

xlabel('x','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');
ylabel('y','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');

xlim([x_min, x_max]);
ylim([y_min, y_max]);

xticks(0: x_max / 5 :x_max);
yticks(0: y_max / 5 :y_max);

grid on;